"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable
const xslLexerLight_1 = require("./xslLexerLight");
const xslLexer_1 = require("./xslLexer");
const vscode = require("vscode");
const path = require("path");
class DocumentLinkProvider {
    constructor(languageConfig) {
        this.lexer = new xslLexerLight_1.XslLexerLight(languageConfig);
    }
    provideDocumentLinks(document, token) {
        let data = this.lexer.analyseLight(document.getText());
        let result = [];
        data.forEach((instruction) => {
            if (instruction.type === xslLexer_1.GlobalInstructionType.Import || instruction.type === xslLexer_1.GlobalInstructionType.Include) {
                const basePath = path.dirname(document.fileName);
                const resolvedPath = path.resolve(basePath, instruction.name);
                const uri = vscode.Uri.parse(resolvedPath);
                const startPos = new vscode.Position(instruction.token.line, instruction.token.startCharacter);
                const endPos = new vscode.Position(instruction.token.line, instruction.token.startCharacter + (instruction.token.length + 2));
                const link = new vscode.DocumentLink(new vscode.Range(startPos, endPos), uri);
                result.push(link);
            }
        });
        return result;
    }
}
exports.DocumentLinkProvider = DocumentLinkProvider;
//# sourceMappingURL=documentLinkProvider copy.js.map