"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable
const xslLexerLight_1 = require("./xslLexerLight");
const fs = require("fs");
const languageConfigurations_1 = require("./languageConfigurations");
class GlobalsProvider {
    // -------------
    provideGlobals(href) {
        return __awaiter(this, void 0, void 0, function* () {
            let xsltText = '';
            let lexer = new xslLexerLight_1.XslLexerLight(languageConfigurations_1.XSLTLightConfiguration.configuration);
            let data = [];
            let error = true;
            if (href.length !== 0 && (yield GlobalsProvider.fileExists(href))) {
                xsltText = fs.readFileSync(href).toString('utf-8');
                data = lexer.analyseLight(xsltText);
                error = false;
            }
            return { data: data, error: error };
        });
    }
    static fileExists(file) {
        return new Promise((resolve, _reject) => {
            fs.exists(file, (exists) => {
                if (exists) {
                    let stats = fs.stat(file, (err, stats) => {
                        resolve(stats.isFile());
                    });
                }
                else {
                    resolve(exists);
                }
            });
        });
    }
}
exports.GlobalsProvider = GlobalsProvider;
//# sourceMappingURL=globalsProvider.js.map